Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class WorkflowInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ejb.EJBException
                      com.beasys.commerce.foundation.exception.SystemException
                          com.beasys.commerce.foundation.WorkflowInstantiationException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class WorkflowInstantiationException

extends SystemException

Thrown when an application tries to instantiate a workflow that does not exist.

See Also
  `WorkflowHome`, `SystemException`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`WorkflowInstantiationException(String s)` Deprecated Constructs an WorkflowInstantiationException with the specified detail message

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowInstantiationException

    public WorkflowInstantiationException(String s)

  Deprecated
  Constructs an WorkflowInstantiationException with the specified detail message

  Parameters
    `s` - java.lang.String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.